%define module_version 1.03a
%define module_name Sentry-Log-Raven
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Request/Common.pm) perl(IO/Socket/SSL.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(MIME/Base64.pm) perl(Mozilla/CA.pm) perl(Sys/Hostname.pm) perl(Test/More.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.03a
Release: alt1
Summary: sending exception log messages to Sentry.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DG/DGENGU/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
my $raven = Sentry::Log::Raven->new(
    sentry_public_key => "public",
    sentry_secret_key => "secret",
    domain_url        => "http(s)://sentry domain",
    project_id        => "sentry project id",
    sentry_version    => 4 # can be omitted
    ssl_verify        => 0 # can be omitted

 );


 $raven->message({ message => "Alert!" });
%prep
%setup -n %{module_name}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/S*

%changelog
* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 1.03a-alt1
- regenerated from template by package builder

* Mon Nov 24 2014 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- initial import by package builder

